Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 449314 (CVE-2012-6080) - <www-apps/moinmoin-1.9.6: Multiple vulnerabilities (CVE-2012-{6080,6081,6082,6495})
Summary: <www-apps/moinmoin-1.9.6: Multiple vulnerabilities (CVE-2012-{6080,6081,6082,...
Status: RESOLVED FIXED
Alias: CVE-2012-6080
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: http://moinmo.in/SecurityFixes
Whiteboard: B1 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-30 15:44 UTC by Sean Amoss
Modified: 2013-09-24 22:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Amoss gentoo-dev Security 2012-12-30 15:44:47 UTC
Excerpts from $URL:

* path traversal vulnerability in AttachFile action CVE-2012-6080
* remote code execution vulnerability in twikidraw/anywikidraw action CVE-2012-6081
* fix XSS issue, escape page name in rss link CVE-2012-6082

MoinMoin 1.9.6 was released yesterday to with fixes for these issues.
Comment 1 Tim Harder gentoo-dev 2013-01-01 16:36:35 UTC
1.9.6 added to CVS. Feel free to stabilize it.
Comment 2 Sean Amoss gentoo-dev Security 2013-01-01 20:34:01 UTC
(In reply to comment #1)
> 1.9.6 added to CVS. Feel free to stabilize it.

Thanks, Tim.

Arches, please test and mark stable.
Comment 3 Agostino Sarubbo gentoo-dev 2013-01-02 11:40:17 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2013-01-02 11:42:52 UTC
x86 stable
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2013-01-03 11:24:22 UTC
CVE-2012-6495 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6495):
  Multiple directory traversal vulnerabilities in the (1) twikidraw
  (action/twikidraw.py) and (2) anywikidraw (action/anywikidraw.py) actions in
  MoinMoin before 1.9.6 allow remote authenticated users with write
  permissions to overwrite arbitrary files via unspecified vectors.  NOTE:
  this can be leveraged with CVE-2012-6081 to execute arbitrary code.

CVE-2012-6082 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6082):
  Cross-site scripting (XSS) vulnerability in the rsslink function in
  theme/__init__.py in MoinMoin 1.9.5 allows remote attackers to inject
  arbitrary web script or HTML via the page name in a rss link.

CVE-2012-6081 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6081):
  Multiple unrestricted file upload vulnerabilities in the (1) twikidraw
  (action/twikidraw.py) and (2) anywikidraw (action/anywikidraw.py) actions in
  MoinMoin before 1.9.6 allow remote authenticated users with write
  permissions to execute arbitrary code by uploading a file with an executable
  extension, then accessing it via a direct request to the file in an
  unspecified directory, as exploited in the wild in July 2012.

CVE-2012-6080 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6080):
  Directory traversal vulnerability in the _do_attachment_move function in the
  AttachFile action (action/AttachFile.py) in MoinMoin 1.9.3 through 1.9.5
  allows remote attackers to overwrite arbitrary files via a .. (dot dot) in a
  file name.
Comment 6 Agostino Sarubbo gentoo-dev 2013-01-04 12:54:26 UTC
ppc stable
Comment 7 Sean Amoss gentoo-dev Security 2013-01-06 17:23:15 UTC
Filed a new GLSA request.
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2013-09-24 22:50:53 UTC
This issue was resolved and addressed in
 GLSA 201309-14 at http://security.gentoo.org/glsa/glsa-201309-14.xml
by GLSA coordinator Sean Amoss (ackle).